package com.xinyilu.system.domain.parentStudentInfo;

import com.xinyilu.common.annotation.Excel;
import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 家长学生关联关系对象 parent_student_info
 *
 * @author jihan
 * @date 2022-08-01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "家长学生关联关系对象", description = "parent_student_info")
public class ParentStudentInfo extends BaseEntity {

    private static final long serialVersionUID = 2664861492504343044L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 家长表id
     */
    @ApiModelProperty(value = "家长表id")
    @Excel(name = "家长表id")
    private Long parentId;

    /**
     * 学生表id
     */
    @ApiModelProperty(value = "学生表id")
    @Excel(name = "学生表id")
    private Long studentId;

    /**
     * 是否删除，0：否，1：是
     */
    private Integer delFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentId", getParentId())
                .append("studentId", getStudentId())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
